Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1491457 - Enable optional features
Summary: Enable optional features
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: git-annex
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 925993 985082 1485487 1485488 1485491 1485500 1485514 1485757 1486592 1486593 1497030 1497582 1510870 yesod 1513289 1513301 1513770 1513774 1514301 1514307 1515504
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-13 21:32 UTC by Elliott Sales de Andrade
Modified: 2018-04-06 08:55 UTC (History)
3 users (show)

Fixed In Version: git-annex-6.20170925-8.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-06 08:55:31 UTC


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2017-09-13 21:32:48 UTC
Currently packaged git-annex disables several optional features due to lack of packaged dependencies. This bug is for tracking those dependencies, which enable:
 * Assistant
 * Dbus
 * ConcurrentOutput
 * MagicMime
 * S3
 * TorrentParser
 * Webapp
 * WebDAV

(Note that this list of options is for latest git-annex, not the currently packaged version.)

Comment 1 Elliott Sales de Andrade 2017-11-18 23:51:28 UTC
Adding dependencies for everything but the TestSuite option.

Comment 2 Elliott Sales de Andrade 2017-11-21 07:26:43 UTC
Adding TestSuite dependencies.

Comment 3 Fedora Update System 2017-11-29 04:49:22 UTC
git-annex-6.20170925-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7be52253eb

Comment 4 Fedora Update System 2017-12-02 19:52:33 UTC
git-annex-6.20170925-6.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7be52253eb

Comment 5 Fedora Update System 2017-12-12 11:19:00 UTC
git-annex-6.20170925-6.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.